Announcement

Collapse
No announcement yet.

How to upgrade from php 4.2 to php 5.0

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • How to upgrade from php 4.2 to php 5.0

    I am facing huge number of issues from past few weeks with vbulletin.
    The issues I am facing are as follows:

    1. Very frequent database errors.
    2. PM's are not working.
    3. Post reply submit creates two posts.
    4. Replying a PM does not give not give any notifications.
    5. Errors/Warnings being displayed on almost all pages.

    I have tried getting support on vbulletin.org but the only reason I got if that vBulletin 4.2 is not compatible with php 5.4. I am shocked to see this. This is a $249 product, so I expect it to be an up-to-date software.

    After reading through this forum, I am disappointed to see so many people frustrated with vBulletin 5.0.
    But I want to try vBulletin 5.0 because it looks great.


    I want to know is vBulletin 5.0 compatible with php 5.4+ ?

    Any precautions I should take before setting up vb5 ?

  • #2
    I think your topic title is a little off, since it says PHP, but you appear to be talking about vB with those numbers.

    I'm pretty sure vB5 works fine with PHP 5.4 (if it didn't, you'd be hearing about it here I'm sure). vB 4.2's PHP 5.4 issues are being worked on at the moment, but I don't think #1 has anything to do with it, and I've been running vB 4.2.0 with PHP 5.4 (didn't have a choice on the PHP version) for some time now and have not seen issues #2 or #4. The only real nuisances I've seen are CKEditor not pulling up the original post on an edit with special characters (which will probably be fixed by getting a more up to date version in there) and a lot of Strict Standards errors in the error log files.

    IMO, it is generally a bad idea to have errors and warnings actually show up on the pages themselves, and I've found that this actually causes problems with some parts of vB (I've seen the error display completely screw up entire sections on my test board where error reports DO show up, whereas those same sections are fine on the main board where error display is disabled).

    Also, it goes without saying, but back up your 4.2 forum before taking the plunge to 5. There's undoubtedly no going back without a backup.

    Comment


    • #3
      vBulletin 4.2 is not compatible with php 5.4 at this time.
      vBulletin 5.0 IS compatible with php 5.4 already.
      MARK.B | vBULLETIN SUPPORT

      TalkNewsUK - My vBulletin 5.5.6 Demo
      AdminAmmo - My Cloud Demo

      Comment


      • #4
        I am waiting since january for vb4 and vb3 to be compatible with php 5.4. So far I am collecting the replies I received since then: "We are working on it." "It will be available soon." "It will be available when it's ready." "Soon." ( that's a vb trademark ) Have I missed something? :-?

        Comment


        • #5
          Originally posted by Set3sh View Post
          I am waiting since january for vb4 and vb3 to be compatible with php 5.4. So far I am collecting the replies I received since then: "We are working on it." "It will be available soon." "It will be available when it's ready." "Soon." ( that's a vb trademark ) Have I missed something? :-?
          Maybe this helps you a little: http://www.vbulletin.com/forum/forum...d-shell-script

          Comment


          • #6
            Originally posted by vibethemes View Post
            1. Very frequent database errors.
            2. PM's are not working.
            3. Post reply submit creates two posts.
            4. Replying a PM does not give not give any notifications.
            5. Errors/Warnings being displayed on almost all pages.
            The above issues won't be solved by upgrading PHP. They may not be resolved by upgrading vBulletin.

            1) What are the specific errors that you are receiving? There are many different errors and some will be caused by circumstances beyond the vBulletin software's control.

            2) This is pretty vague. What isn't working?

            3) This is a known issue on some sites running 4.2.0. If you're not running 4.2.1 then you should upgrade.

            4) Notification to the receiver? What is the status of your database tables?

            5) This isn't descriptive. We would need to know specifically what is being displayed.
            Translations provided by Google.

            Wayne Luke
            The Rabid Badger - a vBulletin Cloud demonstration site.
            vBulletin 5 API - Full / Mobile
            Vote for your favorite feature requests and the bugs you want to see fixed.

            Comment


            • #7
              Yes, its my mistake ! I wanted to ask how to upgrade from VB 4.2 to VB 5.0 .

              1. Specific database Errors, there are many but here are few screenshots :
              a. I get a database error on search : http://goo.gl/w0gyz5
              b. I get a database error on quick reply : http://goo.gl/hXFHV8
              c. Database error notifications in email : http://goo.gl/JMSWFm
              sometimes I get a database error while browsing the forums.

              2. This is pretty vague. What isn't working?
              Yes, it is hard to explain. Here consider the following example to understand this (I am B here) :
              A : Message I
              B : Reply to Message I (Message I in quote) ----------------------------------------------------------------------------> No notification of message is sent, the message is only in sent items.
              A : Message II ( with Message I + Replay in quote )
              B : Reply to Message II (Message II + Message I + Message I Replat in quote) ----------------------------> No notification of message is sent, the message is only in sent items.

              Issue : I can only see the message chain if I get a reply from the other Party. The message chain is not in sent messages.

              3. Ok.

              4. Where I can get this ?

              5. Example : http://goo.gl/OyFp5W

              Comment


              • #8
                Originally posted by Set3sh View Post
                I am waiting since january for vb4 and vb3 to be compatible with php 5.4. So far I am collecting the replies I received since then: "We are working on it." "It will be available soon." "It will be available when it's ready." "Soon." ( that's a vb trademark ) Have I missed something? :-?
                vB3 has been compatible with php 5.4 since about April (as 3.8.8 Beta).
                vB4 is being worked on atm, and vb4.2.2 will be sometime in approx the next 2 months (beta versions should be in the next few weeks).
                Baby, I was born this way

                Comment


                • #9
                  Originally posted by Set3sh View Post
                  I am waiting since january for vb4 and vb3 to be compatible with php 5.4. So far I am collecting the replies I received since then: "We are working on it." "It will be available soon." "It will be available when it's ready." "Soon." ( that's a vb trademark ) Have I missed something? :-?
                  I was just going to add my latest unfavorite.

                  Question: This uncertainty is a real problem! When can we expect an update?? Will it be tomorrow or will it be next year?!?
                  Answer: Neither of those.


                  Which is classic since, given the current track record, it implies multiple years or never.

                  But then I saw this:
                  Originally posted by Paul M View Post
                  vB4 is being worked on atm, and vb4.2.2 will be sometime in approx the next 2 months (beta versions should be in the next few weeks).
                  Hallelujah! An actual estimate. Thank you!

                  Comment


                  • #10
                    Originally posted by Paul M View Post
                    vB4 is being worked on atm, and vb4.2.2 will be sometime in approx the next 2 months (beta versions should be in the next few weeks).
                    Well, how about that? It has to be the most positive statement I have heard in these forums for 3 months..

                    Splendid job, we shall see........


                    Comment


                    • #11
                      Yay! ..I will wait for 4.2.2 then.



                      P.S: But this will be my last shot at VB.

                      Comment


                      • #12
                        Hi,

                        I don't know what to say. But my forum is a complete mess.

                        1. I see the database error screen while creating a new thread. But the thread is still created.
                        2. I see the database error screen while posting a new post. But the post is still created.

                        If I am able to do things that I want even after getting database errors, for what purpose are the database errors for ? This is really stupid.

                        I am so really waiting for 4.2.2 !
                        Last edited by vibethemes; Thu 29th Aug '13, 9:44pm.

                        Comment


                        • #13
                          I too get the errors, but after refreshing the page, the error goes away. It is not attractive to see these things but I have no idea either.


                          Comment

                          Related Topics

                          Collapse

                          Working...
                          X